//
var comp;
AdobeEdge.bootstrapCallback(function(compId) {
comp = AdobeEdge.getComposition(compId).getStage();
/***********************
* Acciones de composición de Adobe Edge Animate
*
* Editar este archivo con precaución, teniendo cuidado de conservar 
* las firmas de función y los comentarios que comienzan con "Edge" para mantener la 
* capacidad de interactuar con estas acciones en Adobe Edge Animate
*
***********************/
(function($, Edge, compId){
var Composition = Edge.Composition, Symbol = Edge.Symbol; // los alias más comunes para las clases de Edge

   //Edge symbol: 'stage'
   (function(symbolName) {
      
       
      Symbol.bindElementAction(compId, symbolName, "document", "compositionReady", function(sym, e) {
                  sym.$('.center-wrapper').css("overflow","hidden");
				  
          					
                    		var tipoactividad = "input";
							var color = sym.getVariable("colorini");
							var colorok = sym.getVariable("colorok");
							var colorbad = sym.getVariable("colorbad");
							var border = sym.getVariable("border");
							var tamano = sym.getVariable("fontsize");
							var fontweight = sym.getVariable("fontweight");
							var fondo = sym.getVariable("fondo");
							var borderRadius= sym.getVariable("border-radius");
							var fondook = sym.getVariable("fondook");
							var fondobad = sym.getVariable("fondobad");
							var fuente = sym.getVariable("fontFamily");
							var alineacion = sym.getVariable("alineacionTexto");
							
							
							
                             sym.getSymbol("bt_validar").stop("normal");
                             sym.getSymbol("bt_solucion").stop("down");
                             sym.getSymbol("bt_reiniciar").stop("down");
                             sym.getSymbol("bt_ayuda").stop("normal");
                             sym.$("hotspot_validar").show();
                             sym.$("hotspot_solucion").hide();
                             sym.$("hotspot_reiniciar").hide();
                             sym.$("hotspot_ayuda").show();
          						
							
                            for (i=1 ; i<= TotalInput; i++){
							sym.$("Input_"+i).css("background","rgba(255,255,255,0)");
					            var nombreElemento = 'Elemento_'+i;
	            	            nombreElemento = document.createElement(tipoactividad);
		            			nombreElemento.id="seleccion_"+i;
		                        var anchoInput = sym.$("Input_"+i).css("width");
		                        var altoInput = sym.$("Input_"+i).css("height");
		                        nombreElemento.style.width= anchoInput;	 
		                        nombreElemento.style.height= altoInput;
		                        nombreElemento.style.fontWeight= fontweight;
		                        nombreElemento.style.border= border;e
		                        nombreElemento.style.color= color;
		                        nombreElemento.style.background= fondo;
		                        nombreElemento.style.fontSize= tamano;;
		                        nombreElemento.style.fontFamily= fuente;
		                        nombreElemento.style.textAlign=alineacion;
		                        nombreElemento.style.webkitBorderRadius=borderRadius;
		                        nombreElemento.style.mozBorderRadius=borderRadius;
		                        nombreElemento.style.borderRadius=borderRadius;
		                        sym.$("Input_"+i).append(nombreElemento);														
	                    	}
							
														 
								 sym.$('.int').filter_input({					
								 regex:'[0-9]', 
								 events:'keypress paste'});				 
							   
								 sym.$('.num').filter_input({					
								 regex:'[0-9.]', 
								 events:'keypress paste'});
							 
								 sym.$('.alpha').filter_input({					
								 regex:'[a-zA-Z_ ]', 
								 events:'keypress paste'});
								 
								 sym.$('.alphaacent').filter_input({					
								 regex:'[a-zA-Z_áéíóúü ]', 
								 events:'keypress paste'});

								 sym.$('.alphalower').filter_input({					
								 regex:'[a-z_ ]', 
								 events:'keypress paste'});

								 sym.$('.alphaupper').filter_input({					
								 regex:'[A-Z_ ]', 
								 events:'keypress paste'});
								
								 sym.$('.alphanum').filter_input({					
								 regex:'[a-z0-9_. ]', 
								 events:'keypress paste'});
								 
								 sym.$('.alphanumacent').filter_input({					
								 regex:'[a-z0-9_.áéíóúü ]', 
								 events:'keypress paste'});

								 sym.$('.alphanumupper').filter_input({					
								 regex:'[a-zA-Z0-9_ ]', 
								 events:'keypress paste'});

								 sym.$('.alphanumspacelower').filter_input({					
								 regex:'[a-z0-9_ ]', 
								 events:'keypress paste'});

								 sym.$('.alphanumspace').filter_input({					
								 regex:'[a-z0-9_ ]', 
								 events:'keypress paste'});

								 sym.$('.alphanumspacelower').filter_input({					
								 regex:'[a-z0-9_ ]', 
								 events:'keypress paste'});
								 
								 sym.$('.mathsym').filter_input({					
								 regex:'[+-=\/*]', 
								 events:'keypress paste'});

							
							 //$('input').attr("data-mask","int");
							 //BOTÓN VALIDAR							        
                             sym.$('hotspot_validar').click(function(){
                              Total=0;        
                              wrong = '';
          
                             for(i=1; i<=TotalInput; i++){
                             	var y = (parseInt(sym.$("Input_"+i).css("top")) +0)+"px";
                             	var x = (parseInt(sym.$("Input_"+i).css("left")) -25)+"px";
                             	sym.$("Input_"+i).children(tipoactividad).each(function(){
                             	if($(this).attr("id")=="seleccion_"+i){		
                             		if(transformarTexto == true){
                             			var ValorInput = $(this).val().toUpperCase();
										ValorInput = ValorInput.replace(".","");										
                             			var ValorTemp = sym.getVariable("Respuesta_"+i).toUpperCase(); 
										ValorTemp = ValorTemp.replace(".","");										
                             		}
                             		else{
                             			var ValorInput = $(this).val();
                             			var ValorTemp = sym.getVariable("Respuesta_"+i);
                             		}
									
									if(eliminarEspacios == true){
                             			ValorInput = ValorInput.replace(/\s+/g, '');
										ValorTemp = ValorTemp.replace(/\s+/g, ''); 
                             		}
                             		else{                             			
                             		}								
          
                             		if(ValorInput==ValorTemp){
                             			$(this).css({color: colorok,background: fondook});
                             		}
                             		else{
                             			error = 1;
                             			$(this).css({color: colorbad,background: fondobad});
                             		}
                             		$(this).attr('disabled','disabled');
                             	}
                             });
                             }
							 
							 $(".cuadros").css("pointer-events","none");

							  var totalBox = 24;
							  
							  for (var i=0;i<totalBox; i++){
								  if(aResp[i]!=aResp2[i]){
									  var error = 1;
								  }
								  if(bResp[i]!=bResp2[i]){
									  var error = 1;
								  }
								  if(cResp[i]!=cResp2[i]){
									  var error = 1;
								  }
								  if(dResp[i]!=dResp2[i]){
									  var error = 1;
								  }
								  if(eResp[i]!=eResp2[i]){
									  var error = 1;
								  }
								  if(fResp[i]!=fResp2[i]){
									  var error = 1;
								  }
								  if(gResp[i]!=gResp2[i]){
									  var error = 1;
								  }
								  if(hResp[i]!=hResp2[i]){
									  var error = 1;
								  }
								  if(iResp[i]!=iResp2[i]){
									  var error = 1;
								  }
								  if(jResp[i]!=jResp2[i]){
									  var error = 1;
								  }
								  if(kResp[i]!=kResp2[i]){
									  var error = 1;
								  }
								  if(lResp[i]!=lResp2[i]){
									  var error = 1;
								  }
								  if(mResp[i]!=mResp2[i]){
									  var error = 1;
								  }								  
							  }
          
                             if (error == 1){
                             	sym.$("hotspot_validar").hide();
                             	sym.$("hotspot_solucion").show();
                             	sym.$("hotspot_reiniciar").show();
                             	sym.getSymbol("bt_validar").stop("down");
                             	sym.getSymbol("bt_solucion").stop("normal");
                             	sym.getSymbol("bt_reiniciar").stop("normal");
                             	sym.$("resp_incorrecta").show();
                    				setTimeout('$("#Stage_resp_incorrecta").fadeOut("slow");', 2500);
                             	sym.$("error")[0].play();
                             	sym.$("error")[0].muted = false;
          
                             }
                             else{
                             	sym.getSymbol("bt_validar").stop("down");
                             	sym.getSymbol("bt_solucion").stop("down");
                             	sym.getSymbol("bt_reiniciar").stop("normal");
                             	sym.$("hotspot_validar").hide();
                             	sym.$("hotspot_solucion").hide();
                             	sym.$("hotspot_reiniciar").show();
                             	sym.$("resp_correcta").show();
                    				setTimeout('$("#Stage_resp_correcta").fadeOut("slow");', 2500);
                             	sym.$("success")[0].play();
                             	sym.$("success")[0].muted = false;
          
                             }
          
                             });
							 //BOTÓN SOLUCIÓN
                             sym.$('hotspot_solucion').click(function(){
                             	sym.getSymbol("bt_validar").stop("down");
                             	sym.getSymbol("bt_solucion").stop("down");
                             	sym.getSymbol("bt_reiniciar").stop("normal");
                             	sym.$("hotspot_validar").hide();
                             	sym.$("hotspot_solucion").hide();
                             	sym.$("hotspot_reiniciar").show();
          
                             //Oculta las leyendas
                             sym.$("resp_correcta").hide();
                             sym.$("resp_incorrecta").hide();
                             sym.$("comprobarRespuesta").hide();
                             sym.$("Punteo").hide();
							 
							 $(".cuadros").css("pointer-events","none");
							 $(".cuadros").css("background-color","rgba(0, 0, 0, 0)");	
							  
							  for (var i=0;i<24; i++){
								  var j=i+1;
								  if(aResp[i]==1){
									  $("#A-"+j).css("background-color",colorColumnaA);		
								  }
								  if(bResp[i]==1){
									  $("#B-"+j).css("background-color",colorColumnaA);		
								  }
								  if(cResp[i]==1){
									  $("#C-"+j).css("background-color",colorColumnaA);		
								  }
								  if(dResp[i]==1){
									  $("#D-"+j).css("background-color",colorColumnaA);		
								  }	
								  if(eResp[i]==1){
									  $("#E-"+j).css("background-color",colorColumnaA);		
								  }	
								  if(fResp[i]==1){
									  $("#F-"+j).css("background-color",colorColumnaA);		
								  }	
								  if(gResp[i]==1){
									  $("#G-"+j).css("background-color",colorColumnaA);		
								  }	
								  if(hResp[i]==1){
									  $("#H-"+j).css("background-color",colorColumnaA);		
								  }	
								  if(iResp[i]==1){
									  $("#I-"+j).css("background-color",colorColumnaA);		
								  }	
								  if(jResp[i]==1){
									  $("#J-"+j).css("background-color",colorColumnaA);		
								  }	
								  if(kResp[i]==1){
									  $("#K-"+j).css("background-color",colorColumnaA);		
								  }	
								  if(lResp[i]==1){
									  $("#L-"+j).css("background-color",colorColumnaA);		
								  }	
								  if(mResp[i]==1){
									  $("#M-"+j).css("background-color",colorColumnaA);		
								  }				
							  }
          
                             for (var i=1; i<TotalInput; i++) {
                                   sym.$('ok'+i).hide();
                             		sym.$('bad'+i).hide();
                             }
          
                             var colorok = sym.getVariable("colorok");
                             var fondook = sym.getVariable("fondook");
          
          
                             for(i=1; i<=TotalInput; i++){
                             	sym.$("Input_"+i).children(tipoactividad).each(function(){
                             	if($(this).attr("id")=="seleccion_"+i){
                             		var Resp = sym.getVariable("Respuesta_"+i);
                             		$(this).val(Resp);
                             		$(this).val().toUpperCase();
                             		$(this).css({color: colorok ,background: fondook}
                             		);
                             	}
                             	});
                             }
          
          
                             });
							 //BOTÓN REINICIAR
							 
                             sym.$('hotspot_reiniciar').click(function(){
                             sym.getSymbol("bt_validar").stop("normal");
                             sym.getSymbol("bt_solucion").stop("down");
                             sym.getSymbol("bt_reiniciar").stop("down");
                             sym.$("hotspot_validar").show();
                             sym.$("hotspot_reiniciar").hide();
                             sym.$("hotspot_solucion").hide();  
                             sym.$("resp_correcta").hide();
                             sym.$("resp_incorrecta").hide();
          
          
                             for (var i=1; i<=TotalInput; i++) {
                                sym.$('ok'+i).hide();
                             	sym.$('bad'+i).hide();
                             }
          
                             var colorini = sym.getVariable("colorini");
                             var fondoini = sym.getVariable("fondo");
							 
							 $(".cuadros").css("pointer-events","auto");

							aResp2 = [0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0];
							bResp2 = [0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0];
							cResp2 = [0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0];
							dResp2 = [0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0];
							eResp2 = [0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0];
							fResp2 = [0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0];
							gResp2 = [0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0];
							hResp2 = [0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0];
							iResp2 = [0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0];
							jResp2 = [0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0];
							kResp2 = [0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0];
							lResp2 = [0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0];
							mResp2 = [0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0];
						
						
							$(".cuadros").css("background-color","rgba(0, 0, 0, 0)");	
          
          
                             for(i=0; i<=TotalInput; i++){
                             	sym.$("Input_"+i).children(tipoactividad).each(function(){
                             	if($(this).attr("id")=="seleccion_"+i){
                             		$(this).val("");
                             		$(this).css({color: colorini,background: fondoini});
                             		$(this).removeAttr('disabled');
                             	}
                             });
                             }  
          
                             });
                             sym.$('hotspot_ayuda').click(function(){
                             if (sym.$("help_input").is(":visible")) {
                             	sym.$("help_input").hide();
                             	sym.getSymbol("bt_ayuda").stop("normal");
                             } else {
                             	sym.$("help_input").show();
                             	sym.getSymbol("bt_ayuda").stop("down");
                             }
          
          
                             });
                    	//ocultar ayuda
                    		   sym.$("help_input").click(function(){
                    				 $(this).hide();
                    				 sym.getSymbol("bt_ayuda").stop("normal");
                    			});

      });
      //Edge binding end

   })("stage");
  

})(jQuery, AdobeEdge, "EDGE-94063035");
});